com.microfocus.zserver.zexplorer.ui.view

## Class FileMappingsViewLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - com.microfocus.zserver.zexplorer.ui.view.FileMappingsViewLabelProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

      public class FileMappingsViewLabelProvider
      extends org.eclipse.jface.viewers.LabelProvider
      implements org.eclipse.jface.viewers.ITableLabelProvider

  Label provider for the File Mappings view.

  Copyright (C) Micro Focus 2010

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMappingsViewLabelProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.swt.graphics.Image` | `getColumnImage(java.lang.Object pElement, int pColumnIndex)`
    `java.lang.String` | `getColumnText(java.lang.Object pElement, int pColumnIndex)`

    - ### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

      `getImage, getText`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, dispose, isLabelProperty, removeListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, dispose, isLabelProperty, removeListener`

- - ### Constructor Detail

    - #### FileMappingsViewLabelProvider

          public FileMappingsViewLabelProvider()

  - ### Method Detail

    - #### getColumnImage

          public org.eclipse.swt.graphics.Image getColumnImage(java.lang.Object pElement,
                                                               int pColumnIndex)

      Specified by:
        `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

    - #### getColumnText

          public java.lang.String getColumnText(java.lang.Object pElement,
                                                int pColumnIndex)

      Specified by:
        `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

Copyright © 2015 Micro Focus GmbH. All rights reserved.